AbstractSampleStreamFactory (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats, class: AbstractSampleStreamFactory

Package opennlp.tools.formats

# Class AbstractSampleStreamFactory<T,P>

java.lang.Object
opennlp.tools.formats.AbstractSampleStreamFactory<T,P>

All Implemented Interfaces:
  `opennlp.tools.cmdline.ObjectStreamFactory<T,P>`

Direct Known Subclasses:
  `BioNLP2004NameSampleStreamFactory`, `BratNameSampleStreamFactory`, `ChunkerSampleStreamFactory`, `ConlluLemmaSampleStreamFactory`, `ConlluPOSSampleStreamFactory`, `ConlluSentenceSampleStreamFactory`, `ConlluTokenSampleStreamFactory`, `ConllXPOSSampleStreamFactory`, `ConstitParseSampleStreamFactory`, `DetokenizerSampleStreamFactory`, `DocumentSampleStreamFactory`, `IrishSentenceBankSentenceStreamFactory`, `LanguageDetectorSampleStreamFactory`, `LanguageSampleStreamFactory`, `LeipzigLanguageSampleStreamFactory`, `LemmatizerSampleStreamFactory`, `LetsmtSentenceStreamFactory`, `MascNamedEntitySampleStreamFactory`, `MascPOSSampleStreamFactory`, `MascSentenceSampleStreamFactory`, `MascTokenSampleStreamFactory`, `MosesSentenceSampleStreamFactory`, `Muc6NameSampleStreamFactory`, `NameSampleDataStreamFactory`, `NKJPSentenceSampleStreamFactory`, `OntoNotesNameSampleStreamFactory`, `OntoNotesParseSampleStreamFactory`, `OntoNotesPOSSampleStreamFactory`, `ParseSampleStreamFactory`, `SentenceSampleStreamFactory`, `SentimentSampleStreamFactory`, `TwentyNewsgroupSampleStreamFactory`, `WordTagSampleStreamFactory`

public abstract class AbstractSampleStreamFactory<T,P> extends Object implements opennlp.tools.cmdline.ObjectStreamFactory<T,P>
Base class for sample stream factories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLang()`
  `Class<P>`
  `getParameters()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.cmdline.ObjectStreamFactory

  `create`

- ## Method Details

  - ### getLang

    public String getLang()

  - ### getParameters

    public Class<P> getParameters()
    Specified by:
      `getParameters` in interface `opennlp.tools.cmdline.ObjectStreamFactory<T,P>`